import { OnInit, ElementRef } from '@angular/core';
import { ValueAccessorBase } from '../../core/value-accessor';
import { NgModel, Validator, AbstractControl } from '@angular/forms';
import { DataTypeEnum } from '../../core/reflect-input.models';
export declare class NgxInputForComponent extends ValueAccessorBase<any> implements Validator, OnInit {
    private el;
    model: any;
    inputClass: string;
    DataTypeEnum: typeof DataTypeEnum;
    dataType: number;
    field: string;
    ngModel: NgModel;
    placeHolder: string;
    name: string;
    readonly: boolean;
    constructor(el: ElementRef);
    ngOnInit(): void;
    validate(control: AbstractControl): {
        [validator: string]: string;
    };
}
